Subject: Re: bug#78737: sit-for behavior changes when byte-compiled

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Jun 2025 14:00:31 -0400

>>> What I asked, and still didn't get an answer to, is at what point does
>>> a program that calls read-event becomes interruptible by a single C-g,
>>> after the changes on the branch?
>>It's interrupted if the `C-g` occurs while running the code rather than
>>while sitting inside `read-event`.  For the tight `while t` loop, it's
>>virtually never.
> For clarity's sake, Stefan is describing what's in the branch right now and
> I'm describing what will be on the branch before it's ready for merging.

I thought the difference was only in terms of "emergency quit", which
I think is not what Eli referred to when he meant "interruptible".
[ I suspect these kinds of differences of intended meaning are
a significant part of the misunderstandings in this thread.  ]

        Stefan